﻿using CoreLibrary.Core;
using CoreLibrary.Evenements;

namespace CoreLibrary.Joueurs
{
    public class Robot : Joueur
    {
        private static int nbRobots = 0;

        public Robot() :
            base($"Naps {++nbRobots}")
        {
        }

        public override void QuandDemanderJoueurJouer(object? sender, PartieDemanderJoueurJouerEventArgs e)
        {
            if (e.Nom != Nom)
                return;

            while (!e.Code.Complet)
                e.Code.AjouterJeton(new Jeton());

            base.QuandDemanderJoueurJouer(sender, e);
        }
    }
}
