﻿
using CoreLibrary.Evenements;
using Xunit;

namespace UnitTesting
{
    public class PartiePartieTermineeEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            IReadOnlyList<string> gagnants = new List<string>(["joueur1", "joueur2"]);
            IReadOnlyList<string> perdants = new List<string>(["joueur3"]);

            PartiePartieTermineeEventArgs evenement = new PartiePartieTermineeEventArgs(gagnants, perdants);
            Assert.Equal(gagnants, evenement.Gagnants);
            Assert.Equal(perdants, evenement.Perdants);
        }
    }
}
